<?php
$file = $argv[1];
$section = $argv[2];
$config = $argv[3];
$value = $argv[4];
$s_reg = "^ *\[([A-Za-z0-9/_-]+)\] *";
$c_reg = "^ *([A-Za-z0-9/_-]+) *[=:] *([0-9A-Za-z_}{;-]*) *";
echo "File : $file\n";
echo "Section : $section\n";
echo "Config : $config\n";
echo "Value : $value\n";

echo "Opening $file ...\n";
if ($opn = fopen($file, "r"))
{
  echo "Reading...\n";
  while (! feof($opn))
  {
    $getl = fgets($opn);
    if (ereg($s_reg, $getl, $geta))
    {
      echo "In section ".$geta[1]."\n";
      $current_s = $geta[1];
      $all .= $getl;
    }
    elseif (ereg($c_reg, $getl, $geta))
    {
      echo $geta[1]." : ".$geta[2]."\n";
      $current_k = $geta[1];
      $current_v = $geta[2];
      if ($current_s == $section && $current_k == $config)
      {
        echo "Section $section and config $config found.\n";
        echo "Current value: $current_v\n";
        echo "Change to $value.\n";
		$current_v = str_replace("{", "\{", $current_v);
 		$current_v = str_replace("}", "\}", $current_v);
        $all .= ereg_replace("^(.*$current_k.*)$current_v(.*)$", "\\1$value\\2", $getl);
      }
      else
      {
        $all .= $getl;
      }
    }
    else
    {
      $all .= $getl;
    }
  }
}
else
{
  die("Error on opening $file.\n");
}

if ($opn = fopen($file, "w"))
{
  echo "Writing...\n";
  fwrite($opn, $all);
  echo "Done.\n";
}
else
{
  die("Error on writing $file.\n");
}

exit(0);
?>